###################################################################
# Function Name: arena/arena_loop
#
# Activated By: main_loop
#
# Functionality:
#
###################################################################
scoreboard players add @s MsgDragonTimer 1
###################################################################

# Stop BG music 
execute @s[scores={MsgDragonTimer=15}] ~ ~ ~ scoreboard players set @a[tag=in_arena_dragon] MusicStep 99
execute @s[scores={MsgDragonTimer=15}] ~ ~ ~ scoreboard players set @a[tag=in_arena_dragon] MusicTime 0

# Mark that boss is live
tag @s[scores={MsgDragonTimer=15}] add dragon_alive

#Display message
execute @s[scores={MsgDragonTimer=15}] ~ ~ ~ title @a[tag=in_arena_dragon] subtitle §c- WARNING! -
execute @s[scores={MsgDragonTimer=15}] ~ ~ ~ title @a[tag=in_arena_dragon] title §aBoss Detected!
execute @s[scores={MsgDragonTimer=15}] ~ ~ ~ title @a[tag=in_arena_dragon] actionbar §aToxic Dragon
execute @s[scores={MsgDragonTimer=15}] ~ ~ ~ playsound boss_warning @a[tag=in_arena_dragon] ~ ~ ~ 100 1 1

execute @s[scores={MsgDragonTimer=80}] ~ ~ ~ title @a[tag=in_arena_dragon] subtitle §6Prepare for a boss fight.
execute @s[scores={MsgDragonTimer=80}] ~ ~ ~ title @a[tag=in_arena_dragon] title §c
execute @s[scores={MsgDragonTimer=80}] ~ ~ ~ playsound boss_fight1 @a[tag=in_arena_dragon] ~ ~ ~ 100 1 1

execute @s[scores={MsgDragonTimer=120}] ~ ~ ~ title @a[tag=in_arena_dragon] subtitle §c3
execute @s[scores={MsgDragonTimer=120}] ~ ~ ~ title @a[tag=in_arena_dragon] title §c
execute @s[scores={MsgDragonTimer=120}] ~ ~ ~ playsound hint @a[tag=in_arena_dragon] ~ ~ ~ 100 1 1

execute @s[scores={MsgDragonTimer=140}] ~ ~ ~ title @a[tag=in_arena_dragon] subtitle §62
execute @s[scores={MsgDragonTimer=140}] ~ ~ ~ title @a[tag=in_arena_dragon] title §6
execute @s[scores={MsgDragonTimer=140}] ~ ~ ~ playsound hint @a[tag=in_arena_dragon] ~ ~ ~ 100 1 1

execute @s[scores={MsgDragonTimer=160}] ~ ~ ~ title @a[tag=in_arena_dragon] subtitle §a1
execute @s[scores={MsgDragonTimer=160}] ~ ~ ~ title @a[tag=in_arena_dragon] title §a
execute @s[scores={MsgDragonTimer=160}] ~ ~ ~ playsound hint @a[tag=in_arena_dragon] ~ ~ ~ 100 1 1

execute @s[scores={MsgDragonTimer=170}] ~ ~ ~ playsound bf_annouce_battle @a[tag=in_arena_dragon] ~ ~ ~ 100 1 1
execute @s[scores={MsgDragonTimer=180}] ~ ~ ~ title @a[tag=in_arena_dragon] subtitle
execute @s[scores={MsgDragonTimer=180}] ~ ~ ~ title @a[tag=in_arena_dragon] title §cFight!
execute @s[scores={MsgDragonTimer=180}] ~ ~ ~ playsound boss_fight2 @a[tag=in_arena_dragon] ~ ~ ~ 100 1 1

#Summon lightning bolts
execute @s[scores={MsgDragonTimer=165}] ~ ~ ~ summon lightning_bolt 24 19 397
execute @s[scores={MsgDragonTimer=170}] ~ ~ ~ summon lightning_bolt 23 19 392
execute @s[scores={MsgDragonTimer=177}] ~ ~ ~ summon lightning_bolt 24 19 388
execute @s[scores={MsgDragonTimer=185}] ~ ~ ~ summon lightning_bolt 24 19 397
execute @s[scores={MsgDragonTimer=190}] ~ ~ ~ summon lightning_bolt 29 19 395
execute @s[scores={MsgDragonTimer=192}] ~ ~ ~ summon lightning_bolt 23 19 392
execute @s[scores={MsgDragonTimer=196}] ~ ~ ~ summon lightning_bolt 24 19 388

# Summon boss
execute @s[scores={MsgDragonTimer=180}] ~ ~ ~ summon red:toxic_dragon 24 19 393

# Start BG music 
execute @s[scores={MsgDragonTimer=180}] ~ ~ ~ scoreboard players set @a[tag=in_arena_dragon] MusicStep 2
execute @s[scores={MsgDragonTimer=180}] ~ ~ ~ scoreboard players set @a[tag=in_arena_dragon] MusicTime 0

scoreboard players set @s[scores={MsgDragonTimer=180}] ArenaDragonStep 2
scoreboard players set @s[scores={ArenaDragonStep=!1}] MsgDragonTimer 0
scoreboard players set @s[scores={InDragonArena=0}] ArenaDragonStep 4
